import numpy as np
#    リストをnumpyの配列ndarray型として用意する
data = np.array([16, 23, 22, 24, 22, 20, 18, 19, 20, 19])
data_ascend = np.sort(data)
idx_d = np.argsort(-data)     #  dataの値の符号を反転してから昇順に添字を並べる
data_descend = data[idx_d]
v_min = np.amin(data)
q1 = np.percentile(data, 25)
med = np.median(data)
q3 = np.percentile(data, 75)
v_max = np.amax(data)
print('データ       = ', data)
print('順序統計量   = ', data_ascend)
print('降順         = ', data_descend)
print('最小値       = ', v_min)
print('第１四分位数 = ', q1)
print('中央値       = ', med)
print('第３四分位数 = ', q3)
print('最大値       = ', v_max)
